#ifndef console_h__included
#define console_h__included

#include "winlin.h"
#include "app_opt.h"


void console_write(char ** args);

#ifndef LINUX_USED
void console_write(char * msg, ...);
#else
#define console_write printf
#endif

void console_write_str(char *str, int len);

#ifndef LINUX_USED
void console_open();
void console_close();
#endif

int console_read_char();
int console_read(char *buf, int NumChars);

#if defined(APP_OPT_DEBUG) || defined(APP_OPT_DEBUG_RUN)
void console_log(char * msg, ...);
#endif

#endif // console_h__included
