/************************************************************************\

    winlin.h defines WINDOWS types and functions for LINUX.

\************************************************************************/

#ifndef __WINLIN__INCLUDED__
#define __WINLIN__INCLUDED__

#ifndef LINUX_USED

#include <windows.h>

#define MAIN_FUNC		void main()
#define END_OF_MAIN_FUNC

#else

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <memory.h>
#include <time.h>

#define MAX_PATH		260
#define __fastcall
#define HINSTANCE		int
#define WINAPI
#define ExitProcess		exit
#define MAIN_FUNC		int main()
#define END_OF_MAIN_FUNC	return 0;
#define GetModuleHandle(x) 	0
#define GetTickCount		clock
#define GetCurrentThreadId()	0
#define MessageBox(h,text,caption,k) 	printf("[ %s ] %s\n", caption, text)
// FIXME:
#define LoadString(h_,MsgId_,buf_,s_)	sprintf(buf_,"Error Code: %i",MsgId_)
#define wvsprintf		vsprintf
#define HLOCAL			(void *)
#define LocalAlloc(p,s)		malloc(s)
#define LocalFree		free
#define wsprintf		sprintf
#define lstrcpy			strcpy
#define lstrcat			strcat
#define lstrcmpi		strcasecmp
#define lstrcmp			strcmp
#define lstrlen			strlen
#define MessageBeep(p)		putchar('\b')
// FIXME:
#define ShellExecute(a_, b_, cmd_, x_, y_, z_)	printf("Don't know how to execute ShellExecute: %s\n", cmd_)
// FIXME:
#define Sleep(_t)		printf("Sleep(): %i\n", _t)
// FIXME:
#define GetCommandLine()	"<NO COMMAND LINE AVAILABLE>"
#define getch()			getchar()
#define TRUE			1
#define FALSE			0

typedef unsigned long DWORD;

#endif // LINUX_USED

#endif // __WINLIN__INCLUDED__

